Bulk update topics
curl --request PATCH \
--url https://api.avidoai.com/v0/topics \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"topicIds": [
"123e4567-e89b-12d3-a456-426614174000",
"223e4567-e89b-12d3-a456-426614174001"
],
"isInScope": true,
"isTasksVerified": true,
"isKnowledgeBaseVerified": true,
"isPoliciesVerified": true
}
'import requests
url = "https://api.avidoai.com/v0/topics"
payload = {
"topicIds": ["123e4567-e89b-12d3-a456-426614174000", "223e4567-e89b-12d3-a456-426614174001"],
"isInScope": True,
"isTasksVerified": True,
"isKnowledgeBaseVerified": True,
"isPoliciesVerified": True
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
topicIds: ['123e4567-e89b-12d3-a456-426614174000', '223e4567-e89b-12d3-a456-426614174001'],
isInScope: true,
isTasksVerified: true,
isKnowledgeBaseVerified: true,
isPoliciesVerified: true
})
};
fetch('https://api.avidoai.com/v0/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Topics
Bulk update topics
Updates multiple topics at once. When isTasksVerified is set, cascades to all tasks in the topics.
PATCH
/
v0
/
topics
Bulk update topics
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for bulk updating multiple topics
Array of topic IDs to update.
Minimum array length:
1Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
[
"123e4567-e89b-12d3-a456-426614174000",
"223e4567-e89b-12d3-a456-426614174001"
]Whether the topics are in scope for knowledge tests and KB generation.
Example:
true
Whether all tasks in the topics are verified. Setting this will cascade to all tasks in the topics.
Example:
true
Whether the knowledge base for the topics has been fully verified.
Example:
true
Whether the policies for the topics (eval definitions and style guide) have been fully verified.
Example:
true
Response
Successfully updated topics
⌘I